/* Function implementations for printing arrays. */
#include "array_print.h"

/* This function is used to print an array of integers into stdout. */
/* If length is invalid, might exhibit undefined behavior. */
void print_integer_array(int *array, int length) {
	/* Sanity check. */
	if (array == NULL || length <= 0)
		return;

	/* Print. */
	int i;
	for (i = 0; i < length; i++)
		printf("%d ", array[i]);
	putchar('\n');
}
