/* This header defines a struct for storing function timing information. */
#ifndef TIME_FUNCTION_H
#define TIME_FUNCTION_H
#include <time.h>

/* Struct used to store the results. */
typedef struct function_run_time {
	/* Function name. */
	char *name;
	/* Length of run time. */
	clock_t time;
} function_run_time;
#endif /* TIME_FUNCTION_H */
